Campaigns
List Voice Campaigns
Retrieve all voice calling campaigns in your account
GET
/
campaigns
List Campaigns
curl --request GET \
--url https://api.kallabot.com/campaigns \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kallabot.com/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kallabot.com/campaigns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"campaigns": [
{
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"status": "<string>",
"total_contacts": 123,
"completed_calls": 123,
"failed_calls": 123,
"sender_phone_numbers": [
"<string>"
],
"delay_between_calls": 123,
"scheduled_time": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"rotate_numbers_after": 123,
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"status_changed_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": 123,
"message": "<string>"
}⌘I
List Campaigns
curl --request GET \
--url https://api.kallabot.com/campaigns \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kallabot.com/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kallabot.com/campaigns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"campaigns": [
{
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"status": "<string>",
"total_contacts": 123,
"completed_calls": 123,
"failed_calls": 123,
"sender_phone_numbers": [
"<string>"
],
"delay_between_calls": 123,
"scheduled_time": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"rotate_numbers_after": 123,
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"status_changed_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": 123,
"message": "<string>"
}
